Skip to main content
GET
/
v1
/
observability
/
spans
/
{span_id}
Get span
curl --request GET \
  --url https://flow.seekr.com/v1/observability/spans/{span_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v1/observability/spans/{span_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v1/observability/spans/{span_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Use this endpoint to retrieve the complete record for a specific span. The query spans endpoint returns span summaries. This endpoint returns the full span object.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Headers

x-team-id
string | null

Path Parameters

span_id
string
required

Response

Response Retrieve Span V1 Observability Spans Span Id Get · object | null

Successful Response

The response is of type Response Retrieve Span V1 Observability Spans Span Id Get · object | null.

Last modified on June 18, 2026